%define name	tidy
%define version 0.99
%define release 0.20030702.1mdk

%define major	0
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Group:		Text tools
Source0:	%{name}_src.tar.bz2
Source1:	%{name}_docs.tar.bz2
URL:		http://%{name}.sourceforge.net
License:	W3C license
Summary:	Program for tidying up messy HTML
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	hacktidy
Provides:	hacktidy

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
rm -rf %{buildroot}
%setup -q -n %{name}
%setup -q -n %{name} -T -D -b1

%build
cp -pr build/gnuauto/* .
libtoolize --copy --force
aclocal
automake -a -c --foreign
autoconf
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
(cd %{buildroot}%{_libdir} && rm -f lib%{name}*.so*.so)
(cd %{buildroot}%{_libdir} && ln -s lib%{name}-%{version}.so.0.0.0 lib%{name}-%{version}.so || :)
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 htmldoc/man_page.txt %{buildroot}%{_mandir}/man1/%{name}.1

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc htmldoc/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Wed Jul 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.99-0.20030702.1mdk
- 20030702

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20030325.3mdk
- use the %%mklibname macro
- rebuilt to have rpm pick up provides
- misc spec file fixes

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-2mdk
- ldconfig in %%post and %%postun

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-1mdk
- 20020325
- split into libtidy package

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20020902-2mdk
- rebuild

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020902-1mdk
- merged with hacktidy package
- updated snapshot

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 20000804-1mdk
- fixed by Stefane Fermigier <sf@fermigier.com> :
	- fix version 

* Fri Sep 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 20000408-1mdk
- fix version ( thx Guillaume Rousse )

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-2mdk
- rebuild

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 08042000
	- changed group

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 07082000-3mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 07082000-2mdk
- macros

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 07082000-1mdk
- first package for mandrake (and probably first rpm too)
